#include "noenc.h"

/********************************************
* Encrypt the data with the give key
* return FALSE on Failure
********************************************/
int NoEncEncrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen){
	printf("Encrypting with noenc\n");
	memcpy(OutData, InData, DataLen);
	return TRUE;
}

/********************************************
* Decrypt the data with the give key
********************************************/
int NoEncDecrypt(CryptoRecord* CR, char* InData, char* OutData, int DataLen){
	printf("Decrypting with noenc\n");
	memcpy(OutData, InData, DataLen);
	return TRUE;
}


/********************************************
* Add a new no encryption key
********************************************/
int	AddKeyNoEnc(CryptoRecord* CR, int ID, char* KeyString){
	CR->InUse=TRUE;
	CR->ID=ID;
	CR->CryptoType=CRYPTO_TYPE_NONE;
	CR->PrivateData=NULL;
	CR->Encrypt=(CryptoFunc)NoEncEncrypt;
	CR->Decrypt=(CryptoFunc)NoEncDecrypt;
	
	return ID;
}

/********************************************
* Remove a No Encryption key
********************************************/
void RemoveKeyNoEnc(CryptoRecord* CR){
	CR->InUse=FALSE;
}
